Page MenuHomePhabricator

Complete Bugzilla migration test review period
Closed, ResolvedPublic

Description

https://bugzillapreview.wmflabs.org/ has been announced and we are leaving at least one week for feedback.

Here we will track all what matters to get this review accepted. The outcome will be a Bugzilla migration date agreed and/or a list of heavy blockers of the migration.

Related Objects

Event Timeline

Qgil created this task.Oct 24 2014, 2:06 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil claimed this task.
Qgil added a project: Bugzilla-Preview.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
scfc added a subscriber: scfc.Oct 24 2014, 10:28 AM

Since the number of tasks in Bugzilla-Preview has grown, I have ended up creating a workboard. This time I have added a "Done" column to place the tasks that are completed but still can't be verified in a new version of bugzillapreview. Do you think this is a good idea?

Qgil added a comment.Oct 30 2014, 10:11 PM

Update sent to wikitech-l, almost a week after the opening of bugzilla-preview.

Summary: T259: Bugzilla to Maniphest import script (tracking) is in "blocker freeze" now. Once we have resolved the current blockers, we will regenerate the bugzillapreview instance with a sample of 500 tasks in order to verify the fixes. Meanwhile, the next milestone is to announce the dates of these migrations.

For the records, we've deployed a new set of imported tickets onto bugzillapreview. This new preview fixes several of the issues reported by testers about the "first" version. Verifying now.

Qgil added a comment.Nov 6 2014, 10:20 AM

Current status:

  • Several bugs were fixed and verified. \o/
  • T881 and T1116 will be fixed, and we will add some imported bugs to the current sample to verify the fixes.
  • T815 still needs a solution. There is some progress, and we have a plan B if everything else fails. It is a very specific problem, so we don't need a wide review after fixing it, as long as our tests work.
  • T857 has been reopened and there is an ongoing discussion.

Will there be an updated preview with full import of the content and final setup/conversion?

@Nemo_bis: I don't think we have the capacity on Labs to import all tickets from Bugzilla so we provided a sample.
Do you have specific tickets that you'd like to test for certain things (I'm curious about criteria)? We could always explicitly import them.

Qgil closed this task as Resolved.Nov 10 2014, 5:11 PM

bugzillapreview project completed. Now all the remaining tasks are in the Bugzilla-Migration project.

@Nemo_bis: I don't think we have the capacity on Labs to import all tickets from Bugzilla so we provided a sample.

:[